TAAS - Feature #185

Visa Cancel

05/03/2023 02:37 PM - Junaid M

Status: Reopen Bugs Start date: 05/03/2023
Priority: Normal Due date:

Assignee: Amal Ck % Done: 50%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Visa Cancel

Description

Coding Visa Cancel

History

#1 - 05/03/2023 02:37 PM - Akash B
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#2 - 06/26/2023 11:49 AM - Akash B
- Status changed from Coding Started to Particialy Coding Done

#3 - 07/04/2023 12:27 PM - Amal Cyriac

- Status changed from Particialy Coding Done to Reopen Bugs
- % Done changed from 40 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****

1.Fix bugs on cancel date

2.Resize grid

3.Set alignment on drop down label toggle

4.remove SAR from GUI

5.Fix shrinking bug on date picker

6.Supplier currency missing while save

7.Added data missing on save/ update

(Refunding staff,Responsible User/Account/Employee, )
8.Set validations on date pickers

(Appointment Date , Travel Date)

9.Cant change/update data

(Pax count,Refference,Note , Remark)

10.Fare - Charge details popup icon not responding
11.Precision missing on price reset

12.Add tool tip on GUI

13.Cant add additional pax profile

14. fix bugs on fare details tab

15.error while opening AP sharing popup

16.Add blank option on ancillary service selection box - AP sharing
17.Remove additional div on AP sharing popup while choosing card (Debit & Credit)

#4 - 10/07/2023 05:17 PM - Junaid M
- Assignee changed from Akash B to Athul P

#5 - 11/15/2023 05:59 PM - unnikannan S

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED
1.NO DATAS WHILE CHOOSING EDIT MODE THROUGH REPORT/VOUCHER SEARCH MODULES

#6 - 11/16/2023 04:52 PM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#7 - 01/05/2024 10:42 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

FIXED --> 1.CHANGE IN FARE FIELDS IN FOCUS OUT FROM PERCENTAGE FIELD ALSO IN AP SHARING FIELD

FIXED --> 2.MISSING ADDED VOID CHECK BOX AFTER SAVE

FIXED --> 3.SHOW ANCILLARY SERVICE AS PER CHOOSEN SERVICES ON ANCILLARY SERVICE MASTER

4.MISSING MANDATORY FIELDS,PRECISION VALUE AFTER CHOOSING NEW BUTTON

FIXED --> 5.ERROR WHILE ADDING CUSTOMER/FOP AS THOSE ACCOUNT SETTED AS BRANCH MASTER CONTROL A/C
FIXED --> 6.ERROR WHILE ADDING VOUCHER NUMBER MANUALLY ON THE BASIS OF CONTINUOUS SERIES

FIXED --> 7.NOT ADDING ALPO,REFUND CHARGE IN TOTAL

FIXED --> 8.SHOW SAVE/UPDATE MESSAGE

#8 - 08/10/2024 07:41 PM - Junaid M
Add Feature

Load Voucher Stock Information to Issue/Cancel module

#9 - 09/30/2024 03:52 PM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#10 - 10/02/2024 10:51 AM - Anonymous
- Assignee changed from Athul P to Amal Ck

#11 - 10/07/2024 05:52 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to New Changes
- % Done changed from 70 to 50

New Feature Change

1) Add Customer Cost center In Custom Tab [Apply this in All Issue/Cancel Module]

#12 - 10/28/2024 06:53 PM - Arathy PS

- Status changed from New Changes to Reopen Bugs

ISSUE FOUND

1. Can't load voucher when entering voucher number.

NEW CHANGES

1. In Visa Tab --> Reference Employee --> Change to Dropdown Labels.
--> Options are "Ref. Employee", "Ref. Account" (Account--> Customer/Supplier/Comn Agent)

#13 - 10/29/2024 02:18 PM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#14 - 11/12/2024 06:45 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90
#15 - 11/20/2024 10:09 AM - unnikannan S
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUNDED

1.No Validation For Voucher No

#16 - 11/20/2024 04:16 PM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#17 - 11/20/2024 04:47 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#18 - 11/23/2024 05:38 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to New Changes

- % Done changed from 90 to 50

NEW CHANGES

Additional Pax

-> Additional Pax Popup - Need Copy <Inputbox> Retore <Checkbox>
—>Add 'Import' Button after 'Sequence' button

* Check Account or JV import

- File* (Red) file Chooser

—-Left Side

*File

Avoid First Number of Rows <input>
Avoid Last Number of Rows <input>
*Input Pax Type String <input>
Adult <input>

Child <input>

Infant<input>

—-Right Side Table # | Checkbox Column | Index
Ticket No

Pax Profile

Pax Name (Mandatory)

Pax Type (Mandatory)

Nationality

Passport No

Date of Birth

Phone

Email

Save Settings | Close | Import —-> Buttons

-> In Additional Pax Pop-up --> at the end of pax add attachment icon as grouped.

pload for pax name

click then open attachemnt u

—> In Ticket tab -> at the end of pax add attachment icon as grouped. click then open attachment upload for pa

X name.

#19 - 12/04/2024 11:21 AM - Arathy PS
- File clipboard-202412041121-n9var.png added

- Status changed from New Changes to Reopen Bugs

ISUUE FOUND

1. Error on changing the supplier from a cancelled voucher.
Visa Cancel

POOOT: jsnSpOutRes: ["sinSglC: " 1 -1, "strSqlC ode" : "ERROR", "strSqlCustomMessage” : “Visalssue Save Failed", "strSqlCustomErrarType” : "DATABASE_SYSTEM_ERROR", "strSqlC ode" : null, ™
Vlog.th| supp_doc_fare_log\" does not exist", “strSqlSysExceptionDetail” : **, "strSqlSysExceptionHint" : "PL/pgSQL function sp_insert_supp_doc_fare_log(bigint) line 9 at SQL statement\nSQL statement \"CALL
sp_insert_supp_doc_fare_log(abjSuppDocRecord.fk_cancel_base_fare_id, jsnSpOutRes\"\nPL/pgSQL function sp_insert_or_update_visa_issue(jsonb jsonb,jsonb(]jsonbl]} line 114 at CALL", *binSqlPk" : 0, "binSqlLogPk” : 0, "strSglDocNo” : null, “dctSqlOtherData” ;
{"binVisald": null, “strSuppDocNa": "WW/003", "binSuppDocNold": null, "binVisaGenDatald": null, "binSuppDochoLogld™ null, "binVisaBaseFareld": 417, "binVisaCusledgFareld": "41", *binVisaSupledgFareld": 41"}
VS - VV/003 Cancelled ~ Cancel Date™ | 04/12/2024 %] Restore™
Customer | Visa = Fare APSharing Note
Service® | SA004- Visa Service - Application Number M )
Ancillary Service” | it - Supplier Confirm Number
Supplier” | suP0O3 SKYONE QAR v Appointment Date | dd/MM )]
Pax Profile + Travel Date /My ]
Pax * LA Visa Validity* 12/12/2024 Q ] 18/12/2026 (]
Number Of Pax 1 0 Total Paxe 1 Visa Type ~
Channel v Visa Profession ~
Nationality” Stamping Station ~ 1 )]
Visa Country Visa Status”  active ~
Refunding Staff* lPON | @ M ]
Booking Staff* Region -
Issuing Staff Passpart No M ]
Reference Employee ~ Date of Birth 2
Reference Phone
Note Email
4
Void ALPO
Remarks
&

#20 - 12/04/2024 06:35 PM - Arathy PS

- Status changed from Reopen Bugs to New Changes

#21 - 01/08/2025 03:56 PM - Arathy PS

- Status changed from New Changes to Reopen Bugs

ISSUE FOUND

(DONE)1. Normal Profit of refund should be difference of refund charge and supplier charge and actual profit should be the difference in service fee
or other fare components in customer side from sale.
(DONE)2. Can change the mandatory fields filled in voucher stock after loading them here.

#22 - 01/13/2025 12:29 PM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#23 - 02/03/2025 06:47 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

NEW CHANGES

1==>In AP Sharing tab,

--> 'Sharing Type' Default 'Customer Corp Card'

--> 'Card Number' --> Mandatory --> Load from Customer Master -- based on Customer and Corporate Account
--> 'Corporate Card* Set default -> before 'Supplier'

*--in the corporate card entry field Load Only 'UCCF' Corporate Card.

--Expiry Date: - Blue * ??

--Name On Card: - Blue * ??

(DONE)2. Add a new field 'Service Provider'

(DONE)NEW CHANGES

1. In the AP sharing tab bottom,

--> Add title on Card Number:- Cardmember Account Number
--> Change 'Name On Card":- Cardmember Name

--> Add "AEME Approval Code™ Textbox
#24 - 02/24/2025 10:11 AM - Amal Ck
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70

#25 - 03/11/2025 02:58 PM - Theja Ponon

- File clipboard-202503111456-vaw1h.png added

- File clipboard-202503111456-9odys.png added

- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

(DONE)Issue Found

ravvise Visa Cancel

L SOLUTION PVT LTE

Vs - Voucher Mo* VV/00221

Customer Visa Fare Additional Pax Custom Data AP Shanng Mote
Service™ | SADD4: Visa Service v

Andillary Service* Sele

Supplier* | SUPDDY BSP Supgplier QAR ~

Corporate Card*

Pax Profile
Pax* | sads
Number Of Pax | 1 1 1 Total Pax: 3

Service Provider

Channel

Visa Cancel

Vs - Voucher No* VV/002#1 Cancelled ~ Cancel Date* | 15/03/2025
Customer Visa Fare Additional Pax = Custom Data AP Sharing Note

Additional Pax + Agd & import || [@Adutfsre (@ ChildFare | [ Infant Fare

# | Code Pax Profile Pax Name Type

1 POF0O1 Pax Profile q Adult

2 POF0DZ Pax Profile A Child

3 POF002 Pax Profile A Infant

4 POF002 Pax Profile A as3 Infant

(FIXED)2)Asking to allow partial payment in case of paying full amount through AP Sharing

#26 - 03/24/2025 09:00 AM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#27 - 04/04/2025 03:30 PM - Arathy PS
- File clipboard-202504041144-bn0il.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1. Tax amount on refund is not showing.
Refund 2L o) = | v - I o > 4~ 0

Master = ARSharing ~ ALPO

Refund No o Date™ | 04/04/2025 [ r] Branch™  BROOA: Main v £ New
Visa Cancel

Vs - Voucher No™ W/001 Sold(INV/007) ~ Cancel Date”™ | 05/04/2025 Q0 Restore™

Visa | Fare CustomData AP Sharing Note

Receivable In QAR Payable In QAR
Visa Charge | 1000.00 Service Fee | 100,00 % | 1000
Tax Details & Discount(-) | 0.00 % 000
VIP/Express Charge | 0,00 % | 000 Refund Charge™ | 100.00 @ | %| 1000
Commission | 0.00 % 0.00 Billing Tax | 0.00 2~
Supplier Fee* | 100.00 % 1000 BT001= VAT OUTPUT | 1500 % 15 700.00
Cancellation Charge | 100.00 % 1000 BT003: VAT_OUTPUT_REFUND | 15,00 % 15 100,00
R e (000 B
Ticket/Voug Supplier Billing Tax | 15.00 a Profit : 100.00 (15.00)
BTO02: VAT INFUT 1500 %15 10000 Customer Payable” : 1000.00 UCCF Paid” : 0.00
& & Transfer
BT004: VAT INPUT_REFUND | 15.00 %15 10000
- Cost' | 101500 o 101500
| .
Paid” : 0.00 Sharing” : 0.00 Supplier Receivable” : 1015.00
: s
Copy 0 & Close Update

#28 - 04/08/2025 03:21 PM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#29 - 04/12/2025 01:59 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. When we do old refund reverse tax from sale is showing.

Files

clipboard-202412041121-n9var.png 131 KB 12/04/2024 Arathy PS
clipboard-202503111456-vaw1h.png 36.5 KB 03/11/2025 Theja Ponon
clipboard-202503111456-9odys.png 43.3 KB 03/11/2025 Theja Ponon
clipboard-202504041144-bn0il.png 152 KB 04/04/2025 Arathy PS
